%global commit_hash 47d9618
%global tag_hash a69c89c

Name:           jnr-posix
Version:        2.4.0
Release:        %mkrel 2
Summary:        Java Posix layer
Group:          Development/Java
License:        CPL or GPLv2+ or LGPLv2+
URL:            http://github.com/jnr/%{name}/
Source0:        https://github.com/jnr/%{name}/tarball/%{version}/jnr-%{name}-%{version}-0-g%{commit_hash}.tar.gz

BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  jnr-constants
BuildRequires:  jnr-ffi
BuildRequires:  jffi
BuildRequires:  objectweb-asm4

BuildRequires:  maven-local
BuildRequires:  maven-clean-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-dependency-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4

Requires:       java
Requires:       jpackage-utils
Requires:       jnr-constants
Requires:       jnr-ffi
Requires:       jffi
Requires:       objectweb-asm4

BuildArch:      noarch

%description
jnr-posix is a lightweight cross-platform POSIX emulation layer for Java, 
written in Java and is part of the JNR project 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description    javadoc
Javadoc for %{name}.

%prep
%setup -q -n jnr-%{name}-%{tag_hash}

find ./ -name '*.jar' -delete
find ./ -name '*.class' -delete

%build
# TODO: some tests still fail
mvn-rpmbuild install javadoc:aggregate

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml  \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc LICENSE.txt README.txt
%{_javadir}/%{name}.jar
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/*

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/%{name}



%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.4.0-2.mga4
+ Revision: 538025
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 dmorgan <dmorgan> 2.4.0-1.mga4
+ Revision: 488275
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.1.8-2.mga3
+ Revision: 355494
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 25 2012 gil <gil> 1.1.8-1.mga2
+ Revision: 214925
- update to 1.1.8

* Sat Nov 05 2011 gil <gil> 1.1.7-1.mga2
+ Revision: 163864
- imported package jnr-posix


* Thu Jun 16 2011 gil <gil> 1.1.7-0.%%mkrel
- initial rpm